Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Mat.Structure

class petsc4py.PETSc.Mat.Structure

  Bases: `object`

  Matrix modification structure.

  See also

  `MatStructure`

  Attributes Summary

  `DIFFERENT` | Constant `DIFFERENT` of type `int`
  `DIFFERENT_NONZERO_PATTERN` | Constant `DIFFERENT_NONZERO_PATTERN` of type `int`
  `DIFFERENT_NZ` | Constant `DIFFERENT_NZ` of type `int`
  `SAME` | Constant `SAME` of type `int`
  `SAME_NONZERO_PATTERN` | Constant `SAME_NONZERO_PATTERN` of type `int`
  `SAME_NZ` | Constant `SAME_NZ` of type `int`
  `SUBSET` | Constant `SUBSET` of type `int`
  `SUBSET_NONZERO_PATTERN` | Constant `SUBSET_NONZERO_PATTERN` of type `int`
  `SUBSET_NZ` | Constant `SUBSET_NZ` of type `int`
  `UNKNOWN` | Constant `UNKNOWN` of type `int`
  `UNKNOWN_NONZERO_PATTERN` | Constant `UNKNOWN_NONZERO_PATTERN` of type `int`
  `UNKNOWN_NZ` | Constant `UNKNOWN_NZ` of type `int`

  Attributes Documentation

  DIFFERENT: int = DIFFERENT

    Constant `DIFFERENT` of type `int`

  DIFFERENT_NONZERO_PATTERN: int = DIFFERENT_NONZERO_PATTERN

    Constant `DIFFERENT_NONZERO_PATTERN` of type `int`

  DIFFERENT_NZ: int = DIFFERENT_NZ

    Constant `DIFFERENT_NZ` of type `int`

  SAME: int = SAME

    Constant `SAME` of type `int`

  SAME_NONZERO_PATTERN: int = SAME_NONZERO_PATTERN

    Constant `SAME_NONZERO_PATTERN` of type `int`

  SAME_NZ: int = SAME_NZ

    Constant `SAME_NZ` of type `int`

  SUBSET: int = SUBSET

    Constant `SUBSET` of type `int`

  SUBSET_NONZERO_PATTERN: int = SUBSET_NONZERO_PATTERN

    Constant `SUBSET_NONZERO_PATTERN` of type `int`

  SUBSET_NZ: int = SUBSET_NZ

    Constant `SUBSET_NZ` of type `int`

  UNKNOWN: int = UNKNOWN

    Constant `UNKNOWN` of type `int`

  UNKNOWN_NONZERO_PATTERN: int = UNKNOWN_NONZERO_PATTERN

    Constant `UNKNOWN_NONZERO_PATTERN` of type `int`

  UNKNOWN_NZ: int = UNKNOWN_NZ

    Constant `UNKNOWN_NZ` of type `int`